class GameGenreController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @game_genre_pages, @game_genres = paginate :game_genres, :per_page => 10
  end

  def show
    @game_genre = GameGenre.find(params[:id])
  end

  def new
    @game_genre = GameGenre.new
  end

  def create
    @game_genre = GameGenre.new(params[:game_genre])
    if @game_genre.save
      flash[:notice] = 'GameGenre was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @game_genre = GameGenre.find(params[:id])
  end

  def update
    @game_genre = GameGenre.find(params[:id])
    if @game_genre.update_attributes(params[:game_genre])
      flash[:notice] = 'GameGenre was successfully updated.'
      redirect_to :action => 'show', :id => @game_genre
    else
      render :action => 'edit'
    end
  end

  def destroy
    GameGenre.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
