class VideoGenreController < ApplicationController
  layout "admin"

  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @video_genre_pages, @video_genres = paginate :video_genres, :per_page => 10
  end

  def show
    @video_genre = VideoGenre.find(params[:id])
  end

  def new
    @video_genre = VideoGenre.new
  end

  def create
    @video_genre = VideoGenre.new(params[:video_genre])
    if @video_genre.save
      flash[:notice] = 'VideoGenre was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @video_genre = VideoGenre.find(params[:id])
  end

  def update
    @video_genre = VideoGenre.find(params[:id])
    if @video_genre.update_attributes(params[:video_genre])
      flash[:notice] = 'VideoGenre was successfully updated.'
      redirect_to :action => 'show', :id => @video_genre
    else
      render :action => 'edit'
    end
  end

  def destroy
    VideoGenre.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
