class VideoMediaController < ApplicationController
  def index
    list
    render :action => 'list'
  end

  # GETs should be safe (see http://www.w3.org/2001/tag/doc/whenToUseGet.html)
  verify :method => :post, :only => [ :destroy, :create, :update ],
         :redirect_to => { :action => :list }

  def list
    @video_media_pages, @video_medias = paginate :video_medias, :per_page => 10
  end

  def show
    @video_media = VideoMedia.find(params[:id])
  end

  def new
    @video_media = VideoMedia.new
  end

  def create
    @video_media = VideoMedia.new(params[:video_media])
    if @video_media.save
      flash[:notice] = 'VideoMedia was successfully created.'
      redirect_to :action => 'list'
    else
      render :action => 'new'
    end
  end

  def edit
    @video_media = VideoMedia.find(params[:id])
  end

  def update
    @video_media = VideoMedia.find(params[:id])
    if @video_media.update_attributes(params[:video_media])
      flash[:notice] = 'VideoMedia was successfully updated.'
      redirect_to :action => 'show', :id => @video_media
    else
      render :action => 'edit'
    end
  end

  def destroy
    VideoMedia.find(params[:id]).destroy
    redirect_to :action => 'list'
  end
end
