require File.dirname(__FILE__) + '/../test_helper'
require 'video_genre_controller'

# Re-raise errors caught by the controller.
class VideoGenreController; def rescue_action(e) raise e end; end

class VideoGenreControllerTest < Test::Unit::TestCase
  fixtures :video_genres

  def setup
    @controller = VideoGenreController.new
    @request    = ActionController::TestRequest.new
    @response   = ActionController::TestResponse.new

    @first_id = video_genres(:first).id
  end

  def test_index
    get :index
    assert_response :success
    assert_template 'list'
  end

  def test_list
    get :list

    assert_response :success
    assert_template 'list'

    assert_not_nil assigns(:video_genres)
  end

  def test_show
    get :show, :id => @first_id

    assert_response :success
    assert_template 'show'

    assert_not_nil assigns(:video_genre)
    assert assigns(:video_genre).valid?
  end

  def test_new
    get :new

    assert_response :success
    assert_template 'new'

    assert_not_nil assigns(:video_genre)
  end

  def test_create
    num_video_genres = VideoGenre.count

    post :create, :video_genre => {}

    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_equal num_video_genres + 1, VideoGenre.count
  end

  def test_edit
    get :edit, :id => @first_id

    assert_response :success
    assert_template 'edit'

    assert_not_nil assigns(:video_genre)
    assert assigns(:video_genre).valid?
  end

  def test_update
    post :update, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'show', :id => @first_id
  end

  def test_destroy
    assert_nothing_raised {
      VideoGenre.find(@first_id)
    }

    post :destroy, :id => @first_id
    assert_response :redirect
    assert_redirected_to :action => 'list'

    assert_raise(ActiveRecord::RecordNotFound) {
      VideoGenre.find(@first_id)
    }
  end
end
